declare const generateSalt: (length: number) => string;
declare function digest(data: string, algorithm?: string): Promise<Uint8Array>;
declare const getHasher: (algorithm?: string) => (data: string) => Promise<Uint8Array>;
declare const ES256: {
    alg: string;
    generateKeyPair(): Promise<{
        publicKey: JsonWebKey;
        privateKey: JsonWebKey;
    }>;
    getSigner(privateKeyJWK: object): Promise<(data: string) => Promise<string>>;
    getVerifier(publicKeyJWK: object): Promise<(data: string, signatureBase64url: string) => Promise<boolean>>;
};

export { ES256, digest, generateSalt, getHasher };
